Subject: Re: [bug#40016] [PATCH] inferior: Distinguish inferior exceptions.

From: Christopher Baines <[email-masked]>
Date: Wed, 11 Mar 2020 00:09:29 +0000

Ludovic Courtès <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> skribis:
>
>> This avoids ambiguities when looking at a backtrace where the exception
>> was actually thrown by an inferior in a very different context.
>
> The idea was suggested at the Guix Days by someone who had had a hard
> time looking at one of these weird backtraces, until you realize the
> exception was actually thrown by another process.
>
> There are a few places in the Data Service that do things like:
>
>   (catch 'misc-error
>     (lambda ()
>       (inferior-eval …))
>     …)
>
> This will have to be adjusted.  Does that work for you, Chris?

Yeah that sounds fine. Generally I think it's good to keep backwards
compatibility with the Guix Data Service, so I'd be looking to support
both ways exceptions can be raised, but that doesn't seem to difficult.

Thanks,

Chris